<?php

	define("PRODUCTION_SERVER", true);	
	define("AMFPHP_CLASSES_PATH", "libs/amfphp/");
	
	include AMFPHP_CLASSES_PATH."globals.php";
	
	//Include framework
	include AMFPHP_CLASSES_PATH."core/amf/app/Gateway.php";

	$gateway = new Gateway();
	$gateway->setClassPath($servicesPath);
	$gateway->setClassMappingsPath($voPath); 
	$gateway->setCharsetHandler("utf8_decode", "ISO-8859-1", "ISO-8859-1");
	
	//Error types that will be rooted to the NetConnection debugger
	$gateway->setErrorHandling(E_ALL ^ E_NOTICE ^ E_WARNING);
	
	if(PRODUCTION_SERVER)
	{
		//Disable profiling, remote tracing, and service browser
		$gateway->disableDebug();
	}
	
	$gateway->setLooseMode(true);
	
	//If you are running into low-level issues with corrupt messages and 
	//the like, you can add $gateway->logIncomingMessages('path/to/incoming/messages/');
	//and $gateway->logOutgoingMessages('path/to/outgoing/messages/'); here
	//$gateway->logIncomingMessages('in/');
	//$gateway->logOutgoingMessages('out/');
	
	//Explicitly disable the native extension if it is installed
	//$gateway->disableNativeExtension();

	//Enable gzip compression of output if zlib is available, 
	//beyond a certain byte size threshold
	$gateway->enableGzipCompression(25*1024);
	
	//Service now
	$gateway->service();
	
?>